CREATE INDEX icategory_1 ON gr_category
(
       category_workflow              
);
%GO%

CREATE INDEX icategory_2 ON gr_category
(
       category_task                  
);
%GO%


CREATE INDEX ifilter_1 ON gr_filter
(
       filter_task                    
);
%GO%


CREATE INDEX ifilter_2 ON gr_filter
(
       filter_owner
);
%GO%

CREATE INDEX ifilter_3 ON gr_filter
(
       filter_priv                    
);
%GO%

CREATE INDEX ifilter_4 ON gr_filter
(
       filter_type                    
);
%GO%


CREATE INDEX ifvalue_1 ON gr_fvalue
(
       fvalue_filter                  
);
%GO%



CREATE INDEX imessage_2 ON gr_message
(
       message_handler
);
%GO%


CREATE INDEX imessage_3 ON gr_message
(
       message_resolution
);
%GO%


CREATE INDEX imessage_4 ON gr_message
(
       message_mstatus
);
%GO%


CREATE INDEX imessage_5 ON gr_message
(
       message_hrs
);
%GO%


CREATE INDEX imessage_6 ON gr_message
(
       message_time
);
%GO%


CREATE INDEX imessage_7 ON gr_message
(
       message_priority
);
%GO%


CREATE INDEX imessage_8 ON gr_message
(
       message_deadline
);
%GO%


CREATE INDEX imessage_9 ON gr_message
(
       message_budget
);
%GO%

CREATE INDEX imessage_10 ON gr_message
(
       message_submitter
);
%GO%

CREATE INDEX imessage_11 ON gr_message
(
       message_task
);
%GO%



CREATE INDEX imprstatus_1 ON gr_mprstatus
(
       mprstatus_type
);
%GO%


CREATE INDEX imprstatus_2 ON gr_mprstatus
(
       mprstatus_mstatus
);
%GO%


CREATE INDEX imprstatus_3 ON gr_mprstatus
(
       mprstatus_prstatus
);
%GO%


CREATE INDEX imstatus_1 ON gr_mstatus
(
       mstatus_workflow               
);
%GO%


CREATE INDEX iprstatus_1 ON gr_prstatus
(
       prstatus_user
);
%GO%


CREATE INDEX iprstatus_2 ON gr_prstatus
(
       prstatus_parent
);
%GO%

CREATE INDEX ireport_1 ON gr_report
(
       report_filter
);
%GO%


CREATE INDEX ireport_2 ON gr_report
(
       report_task
);
%GO%


CREATE INDEX ireport_3 ON gr_report
(
       report_owner
);
%GO%


CREATE INDEX ireport_4 ON gr_report
(
       report_priv
);
%GO%


CREATE INDEX ireport_5 ON gr_report
(
       report_rtype
);
%GO%


CREATE INDEX iresolution_1 ON gr_resolution
(
       resolution_mstatus             
);
%GO%


CREATE INDEX irolestatus_1 ON gr_rolestatus
(
       rolestatus_prstatus            
);
%GO%


CREATE INDEX irolestatus_2 ON gr_rolestatus
(
       rolestatus_role                
);
%GO%


CREATE INDEX istatus_1 ON gr_status
(
       status_workflow
);
%GO%


CREATE INDEX isubscriber_1 ON gr_subscriber
(
       subscriber_task                
);
%GO%


CREATE INDEX isubscriber_2 ON gr_subscriber
(
       subscriber_user                
);
%GO%


CREATE INDEX isubscriber_3 ON gr_subscriber
(
       subscriber_filter              
);
%GO%


CREATE INDEX itask_1 ON gr_task
(
       task_parent
);
%GO%


CREATE INDEX itask_2 ON gr_task
(
       task_shortname
);
%GO%


CREATE INDEX itask_3 ON gr_task
(
       task_priority
);
%GO%


CREATE INDEX itask_4 ON gr_task
(
        task_submitter
);
%GO%


CREATE INDEX itask_5 ON gr_task
(
        task_handler
);
%GO%


CREATE INDEX itask_6 ON gr_task
(
        task_resolution
);
%GO%


CREATE INDEX itask_7 ON gr_task
(
        task_status
);
%GO%


CREATE INDEX itask_8 ON gr_task
(
        task_category
);
%GO%

CREATE INDEX itask_9 ON gr_task
(
        task_number
);
%GO%


CREATE UNIQUE INDEX itransition_1 ON gr_transition
(
       transition_start               ,
       transition_finish              ,
       transition_mstatus             
);
%GO%


CREATE INDEX itransition_2 ON gr_transition
(
       transition_start
);
%GO%


CREATE INDEX itransition_3 ON gr_transition
(
       transition_finish
);
%GO%


CREATE INDEX itransition_4 ON gr_transition
(
       transition_mstatus
);
%GO%


CREATE INDEX iudf_1 ON gr_udf
(
       udf_udfsource                  
);
%GO%


CREATE INDEX iudf_2 ON gr_udf
(
       udf_visible                    
);
%GO%


CREATE INDEX iudf_3 ON gr_udf
(
       udf_mail                       
);
%GO%

CREATE INDEX iudflist_1 ON gr_udflist
(
       udflist_udf                    
);
%GO%


CREATE INDEX iudfsource_1 ON gr_udfsource
(
       udfsource_task                 
);
%GO%


CREATE INDEX iudfsource_2 ON gr_udfsource
(
       udfsource_user                 
);
%GO%


CREATE INDEX iudfsource_3 ON gr_udfsource
(
       udfsource_workflow
);
%GO%


CREATE INDEX iudfval_1 ON gr_udfval
(
       udfval_udfsource               
);
%GO%


CREATE INDEX iudfval_2 ON gr_udfval
(
       udfval_udflist                 
);
%GO%


CREATE INDEX iudfval_3 ON gr_udfval
(
       udfval_udf                     
);
%GO%


CREATE UNIQUE INDEX iuser_1 ON gr_user
(
       user_login                     
);
%GO%


CREATE INDEX iuser_2 ON gr_user
(
       user_manager                   
);
%GO%


CREATE INDEX iuser_3 ON gr_user
(
        user_prstatus
);
%GO%

CREATE INDEX iuser_5 ON gr_user
(
        user_default_project
);
%GO%


CREATE INDEX iworkflow_1 ON gr_workflow
(
       workflow_task                  
);
%GO%


CREATE INDEX ipriority_1 ON gr_priority
(
       priority_order
);
%GO%


CREATE INDEX ipriority_2 ON gr_priority
(
       priority_workflow
);
%GO%


CREATE INDEX icatrelation_1 ON gr_catrelation
(
       catrelation_category
);
%GO%


CREATE INDEX icatrelation_2 ON gr_catrelation
(
       catrelation_child
);
%GO%


CREATE INDEX icprstatus_1 ON gr_cprstatus
(
       cprstatus_category
);
%GO%


CREATE INDEX icprstatus_2 ON gr_cprstatus
(
       cprstatus_prstatus
);
%GO%


CREATE INDEX inotification_1 ON gr_notification
(
       notification_task                
);
%GO%


CREATE INDEX inotification_2 ON gr_notification
(
       notification_user                
);
%GO%


CREATE INDEX inotification_3 ON gr_notification
(
       notification_filter                
);
%GO%

CREATE INDEX imailimport_2 ON gr_mailimport
(
       mailimport_category
);
%GO%

CREATE INDEX imailimport_4 ON gr_mailimport
(
       mailimport_task
);
%GO%

CREATE INDEX ilongtext_1 ON gr_longtext
(
       longtext_reference
);
%GO%

CREATE INDEX ilongtext_2 ON gr_longtext
(
       longtext_order
);
%GO%

CREATE INDEX iemailtype_3 ON gr_emailtype
(
       emailtype_user
);
%GO%

CREATE INDEX icurrentfilter_1 ON gr_currentfilter
(
       currentfilter_task
);
%GO%

CREATE INDEX icurrentfilter_2 ON gr_currentfilter
(
       currentfilter_user
);
%GO%

CREATE INDEX icurrentfilter_3 ON gr_currentfilter
(
       currentfilter_fil
);
%GO%

CREATE INDEX iacl_1 ON gr_acl
(
       acl_task
);
%GO%


CREATE INDEX iacl_2 ON gr_acl
(
       acl_user
);
%GO%


CREATE INDEX iacl_3 ON gr_acl
(
       acl_prstatus
);
%GO%

CREATE INDEX iacl_4 ON gr_acl
(
       acl_owner
);
%GO%

CREATE INDEX iregistration_1 ON gr_registration
(
       registration_user
);
%GO%

CREATE INDEX iregistration_2 ON gr_registration
(
       registration_prstatus
);
%GO%

CREATE INDEX iregistration_3 ON gr_registration
(
       registration_task
);
%GO%

CREATE INDEX iregistration_4 ON gr_registration
(
       registration_category
);
%GO%

CREATE INDEX iscript_1 ON gr_script
(
       script_type
);
%GO%

CREATE INDEX iscript_2 ON gr_script
(
       script_owner
);
%GO%

