<#compress>
<#macro page title charset>
<#compress>
  <html>
  <head>
    <title>Message - ${title}</title>
    <meta http-equiv="content-type" content="text/html; charset=${charset}">
  </head>
<style type="text/css">
.main {
        width: 100%;
        color: #F0F0F0;
        background-color: #0047BE;
        font-family: Tahoma, Arial, Helvetica, sans-serif;
        font-size: 13px;
}
.main TR {
    height: 2.2em;
}
.second {
        font-family: Tahoma, Arial, Helvetica, sans-serif;
        font-size: 13px;
        color: #00129D;
        width: 100%;
        background-color: #F0F0F0;
}
.second TR {
        background-color: #B1C5EA;
    height: auto;
}
.second TH {
        color: #F0F0F0;
        text-align: center;
        padding: 3px 8px;
        background-color: #547ED9;
}
.second TD {
        padding: 3px 8px;
}
.second TR TH:first-child {
        width: 20%;
}
.second TR TH:first-child A {
    color: #F0F0F0;
}

.third, DIV#submitForm TABLE {
        font-family: Tahoma, Arial, Helvetica, sans-serif;
        font-weight: normal;
        font-size: 12px;
        color: #00129D;
        width: 100%;
        background-color: #FFFFFF;
}
.third TR, DIV#submitForm TABLE TR {
        background-color: #F0F0F0;
}
.third TH, DIV#submitForm TABLE TH {
        height: 2.2em;
        color: #0047BE;
        background-color: #B1C5EA;
}

.subtasks {
        font-family: Tahoma, Arial, Helvetica, sans-serif;
        font-size: 13px;
        color: #00129D;
        width: 100%;
        background-color: #FFFFFF;
}
.subtasks TR {
        background-color: #F0F0F0;
    height: auto;
}
.subtasks TH {
        color: #F0F0F0;
        text-align: center;
        padding: 3px 8px;
        background-color: #547ED9;
}
.subtasks TD {
        padding: 3px 8px;
}
/*.subtasks PRE {
        font-family: Tahoma, Arial, Helvetica, sans-serif;
        font-size: 13px;
}*/
</style>
  <body>
</#compress>
    <#nested>
  </body>
  </html>
</#macro>


<#macro itext text>
<i>${text?html}</i>
</#macro>


<#macro header title>
<table class="main" cellpadding="0" cellspacing="1">
<tr><th>${title}</th></tr>
<tr><td><table class="second" cellpadding="4" cellspacing="2">
<#nested>
</table></td></tr>
</table>
</#macro>

<#macro headerline name value>
<tr>
<th>${name?html}</th>
<td>${value?html}</td>
</tr>
</#macro>

<#macro headerline2 name value>
<tr>
<th>${name?html}</th>
<td>${value}</td>
</tr>
</#macro>

<#macro headerlinedesc name value>
<tr>
<th>${name?html}</th>
<td style="background-color:#F0F0F0;"><pre>${value}</pre></td>
</tr>
</#macro>

<#macro th name>
<th>${name}</th>
</#macro>

<#macro subtasksheader>
<tr>

<#if filter.TASKNUMBER>
<@th name=titles.subtask.TASKNUMBER/>
</#if>

<#if filter.CATEGORY>
<@th name=titles.subtask.CATEGORY/>
</#if>

<#if filter.STATUS>
<@th name=titles.subtask.STATUS/>
</#if>

<#if filter.RESOLUTION>
<@th name=titles.subtask.RESOLUTION/>
</#if>

<#if filter.SUBMITTER>
<@th name=titles.subtask.SUBMITTER/>
</#if>

<#if filter.SUBMITTERSTATUS>
<@th name=titles.subtask.SUBMITTERSTATUS/>
</#if>

<#if filter.HANDLER>
<@th name=titles.subtask.HANDLER/>
</#if>

<#if filter.HANDLERSTATUS>
<@th name=titles.subtask.HANDLERSTATUS/>
</#if>

<#if filter.DEADLINE>
<@th name=titles.subtask.DEADLINE/>
</#if>

<#if filter.SUBMITDATE>
<@th name=titles.subtask.SUBMITDATE/>
</#if>

<#if filter.UPDATEDATE>
<@th name=titles.subtask.UPDATEDATE/>
</#if>

<#if filter.CLOSEDATE>
<@th name=titles.subtask.CLOSEDATE/>
</#if>

<#if filter.BUDGET>
<@th name=titles.subtask.BUDGET/>
</#if>

<#if filter.ABUDGET>
<@th name=titles.subtask.ABUDGET/>
</#if>

<#if filter.CHILDCOUNT>
<@th name=titles.subtask.SUBTASKS/>
</#if>

<#if filter.MESSAGECOUNT>
<@th name=titles.subtask.MESSAGES/>
</#if>

<#if filter.PRIORITY>
<@th name=titles.subtask.PRIORITY/>
</#if>

<#if (titles.subtask.udfCaption?exists)>
<#list titles.subtask.udfCaption as y>
<@th name=y/>
</#list>
</#if>

<@th name=titles.subtask.NAME/>

</tr>
</#macro>

<#macro td value>
<td>${value}</td>
</#macro>

<#macro tdstatus value color>
<td style="background-color:${color}; border:#0047BE 1px solid; font-weight:bolder; text-align:center;">${value}</td>
</#macro>

<#macro subline item>
<#compress>
<tr>

<#if filter.TASKNUMBER>
<@td value=item.getTaskNumber()/>
</#if>

<#if filter.CATEGORY>
<@td value=item.getCategory().getName()/>
</#if>

<#if filter.STATUS>
<@tdstatus value=item.getStatus().getName() color=item.getStatus().getColor()/>
</#if>

<#if filter.RESOLUTION>
<#if item.getResolution()?exists>
<@td value=item.getResolution().getName()/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if filter.SUBMITTER>
<#if item.getSubmitter()?exists>
<@td value=item.getSubmitter().getHtmlName()/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if filter.SUBMITTERSTATUS>
<#if item.getSubmitter()?exists>
<@td value=item.getSubmitter().getPrstatus().getName()/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if filter.HANDLER>
<#if item.getHandler()?exists>
<@td value=item.getHandler().getHtmlName()/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if filter.HANDLERSTATUS>
<#if item.getHandler()?exists>
<@td value=item.getHandler().getPrstatus().getName()/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if filter.DEADLINE>
<#if item.getDeadline()?exists>
<@td value=addval.df.parse(item.getDeadline())/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if filter.SUBMITDATE>
<#if item.getSubmitdate()?exists>
<@td value=addval.df.parse(item.getSubmitdate())/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if filter.UPDATEDATE>
<#if item.getUpdateDate()?exists>
<@td value=addval.df.parse(item.getUpdateDate())/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if filter.CLOSEDATE>
<#if item.getClosedate()?exists>
<@td value=addval.df.parse(item.getClosedate())/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if filter.BUDGET>
<@td value=item.getBudgetFmt(titles.FORMAT)/>
</#if>

<#if filter.ABUDGET>
<@td value=item.getActualBudgetFmt("text")/>
</#if>

<#if filter.CHILDCOUNT>
<@td value=item.getTotalChildrenCount()/>
</#if>

<#if filter.MESSAGECOUNT>
<@td value=item.getMessageCount()/>
</#if>

<#if filter.PRIORITY>
<#if item.getPriority()?exists>
<@td value=item.getPriority().getName()/>
<#else>
<@td value=" "/>
</#if>
</#if>

<#if (subudf[item.getId()]?exists)>
<#list subudf[item.getId()] as y>
<@td value=y/>
</#list>
</#if>

<@td value=sublink[item.getId()]/>
</#compress>

<#if (filter.DESCRIPTION && item.getWikiParsedDescription()?exists)>
<tr><td colspan="40"><pre>
${item.getWikiParsedDescription()}
</pre></td></tr>
</#if>

<#if filter.MESSAGEVIEW>
<#if submsg[item.getId()]?exists>
<#compress>
<tr><td colspan="40">
<table class="second" cellpadding="0" cellspacing="2">
<tr>
<@th name=titles.messages.INFO/>
<@th name=titles.messages.DESCRIPTION/>
</tr>
</#compress>
<#list submsg[item.getId()] as m>
<@message msg=m/>
</#list>
</table></td></tr>
</#if>
</#if>
</tr>
</#macro>

<#macro message msg>
<#compress>
<tr><th>${addval.df.parse(msg.getTime())}<br>${msg.getSubmitter().getHtmlName()}</th>
<th><table class="third" cellpadding=4 cellspacing=2>
<tr>
<@th name=titles.messages.MESSAGETYPE/>
<@th name=titles.messages.HANDLER/>
<@th name=titles.messages.RESOLUTION/>
<#if titles.messages.PRIORITY?exists>
    <@th name=titles.messages.PRIORITY/>
    <@th name=titles.messages.DEADLINE/>
    <@th name=titles.messages.BUDGET/>
</#if>
<@th name=titles.messages.HOURS/>
</tr><tr>
<@td value=msg.getMstatus().getName()/>

<#if msg.getHandler()?exists>
<@td value=msg.getHandler().getHtmlName()/>
<#else>
<@td value=" "/>
</#if>

<#if msg.getResolution()?exists>
<@td value=msg.getResolution().getName()/>
<#else>
<@td value=" "/>
</#if>

<#if titles.messages.PRIORITY?exists>
    <#if msg.getPriority()?exists>
    <@td value=msg.getPriority().getName()/>
    <#else>
    <@td value=" "/>
    </#if>

    <#if msg.getDeadline()?exists>
    <@td value=addval.df.parse(msg.getDeadline())/>
    <#else>
    <@td value=" "/>
    </#if>

    <#if msg.getBudget()?exists>
    <@td value=addval.hf.format(msg.getBudget().floatValue(), titles.FORMAT)/>
    <#else>
    <@td value=" "/>
    </#if>
</#if>

<#if msg.getHrs()?exists>
<@td value=addval.hf.format(msg.getHrs().floatValue(), titles.FORMAT)/>
<#else>
<@td value=" "/>
</#if>

</tr>
<tr>
<td colspan=7>
</#compress>
<pre>${msg.getWikiParsedDescription()}</pre></td>
</tr></table></th></tr>
</#macro>

<#macro subtasks>
<#compress>
<table class="subtasks" cellpadding="2" cellspacing="2">
<@subtasksheader/>
</#compress>
<#list items as i>
<@subline item=i/>
</#list>

</table>
</#macro>

</#compress>
<@page title=task.getName() charset=addval.charset>
<@itext text=addval.filterInfo?html/>

<@header title=task.getName()>
<#compress>
<@headerline name=titles.TASKNUMBER value=task.getTaskNumber()/>
<@headerline2 name=titles.PATH value=addval.path_html/>
<#if (task.getShortname()?exists)>
<@headerline name=titles.ALIAS value=task.getShortname()/>
</#if>
<#if (task.getBudget()?exists)>
<@headerline name=titles.BUDGET value=task.getBudgetFmt(titles.FORMAT)/>
</#if>
<#if (task.getActualBudget()?exists)>
<@headerline name=titles.ABUDGET value=task.getActualBudgetFmt("text")/>
</#if>
<#if (task.getSubmitdate()?exists)>
<@headerline name=titles.SUBMITDATE value=addval.df.parse(task.getSubmitdate())/>
</#if>
<#if (task.getUpdateDate()?exists)>
<@headerline name=titles.UPDATEDATE value=addval.df.parse(task.getUpdateDate())/>
</#if>
<#if (task.getClosedate()?exists)>
<@headerline name=titles.CLOSEDATE value=addval.df.parse(task.getClosedate())/>
</#if>
<#if (task.getDeadline()?exists)>
<@headerline name=titles.DEADLINE value=addval.df.parse(task.getDeadline())/>
</#if>
<#if (task.getPriority()?exists)>
<@headerline name=titles.PRIORITY value=task.getPriority().getName()/>
</#if>
<#if (task.getCategory()?exists)>
<@headerline name=titles.CATEGORY value=task.getCategory().getName()/>
</#if>
<#if (task.getStatus()?exists) >
<@headerline name=titles.STATUS value=task.getStatus().getName()/>
</#if>
<#if (task.getResolution()?exists)>
<@headerline name=titles.RESOLUTION value=task.getResolution().getName()/>
</#if>
<#if (task.getSubmitter()?exists)>
<@headerline2 name=titles.SUBMITTER value=task.getSubmitter().getHtmlName()/>
</#if>
<#if (task.getHandler()?exists)>
<@headerline2 name=titles.HANDLER value=task.getHandler().getHtmlName()/>
</#if>
</#compress>
<#if (task.getWikiParsedDescription()?exists)>
<@headerlinedesc name=titles.DESCRIPTION value=task.getWikiParsedDescription()/>
</#if>
<#compress>
<#if (udfs?exists)>
<#list udfs as y>
<#if y.type.intValue() = 5>
<@headerlinedesc name=y.caption value=y.value/>
<#else>
<@headerline name=y.caption value=y.value/>
</#if>
</#list>
</#if>
</#compress>
</@header>

<#if items?exists>
<br>
<table class="main" cellpadding="0" cellspacing="1">
<tr><th>${titles.subtask.SUBTASKS}</th></tr>
<tr><td>
<@subtasks/>
</td></tr></table>
</#if>

<#if msglist?exists>
<#compress>
<br>
<table class="main" cellpadding="0" cellspacing="1">
<tr><th>${titles.messages.MESSAGES}</th></tr>
<tr><td>
<table class="second" cellpadding=4 cellspacing=2>
<tr>
<@th name=titles.messages.INFO/>
<@th name=titles.messages.DESCRIPTION/>
</tr>
</#compress>
<#list msglist as m>
<@message msg=m/>
</#list>
<#compress>
<#if addval.Form?exists>
<tr><th>${addval.userName}</th><th>
${addval.Form}
</th></tr>
</#if>
</table>
</table>
</#compress>
</#if>
</@page>