<#macro line1>
========================================================================
</#macro>
<#-- *********************************-->
<#macro line2>
------------------------------------------------------------------------
</#macro>
<#macro decode str>${addval.bw.decodeString(str)}
</#macro>
<#-- *********************************-->
<#macro getSpace str1 str2>
<#assign out=str1>
<#assign i=0>
<#list [" "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "] as x>
<#if i gt (36-str1?length)>
<#break>
</#if>
<#assign out=out+x>
<#assign i=i+1>
</#list>
<@decode str=out+str2/>
</#macro>
<#-- *********************************-->
<#macro headerline name value>
<@getSpace str1=name str2=value/>
</#macro>
<#-- *********************************-->
<#macro subtasksheader item>
<#if filter.TASKNUMBER>
<@headerline name=titles.subtask.TASKNUMBER value=item.getTaskNumber()/>
</#if>
<#if filter.CATEGORY>
<@headerline name=titles.subtask.CATEGORY value=item.getCategory().getName()/>
</#if>
<#if filter.STATUS>
<@headerline name=titles.subtask.STATUS value=item.getStatus().getName()/>
</#if>
<#if (filter.RESOLUTION && item.getResolution()?exists)>
<@headerline name=titles.subtask.RESOLUTION value=item.getResolution().getName()/>
</#if>
<#if (filter.SUBMITTER && item.getSubmitter()?exists)>
<@headerline name=titles.subtask.SUBMITTER value=item.getSubmitter().getTextName()/>
</#if>
<#if (filter.SUBMITTERSTATUS && item.getSubmitter()?exists)>
<@headerline name=titles.subtask.SUBMITTERSTATUS value=item.getSubmitter().getPrstatus().getName()/>
</#if>
<#if (filter.HANDLER && item.getHandler()?exists)>
<@headerline name=titles.subtask.HANDLER value=item.getHandler().getTextName()/>
</#if>
<#if (filter.HANDLERSTATUS && item.getHandler()?exists)>
<@headerline name=titles.subtask.HANDLERSTATUS value=item.getHandler().getPrstatus().getName()/>
</#if>
<#if (filter.DEADLINE && item.getDeadline()?exists)>
<@headerline name=titles.subtask.DEADLINE value=addval.df.parse(item.getDeadline())/>
</#if>
<#if (filter.SUBMITDATE && item.getSubmitdate()?exists)>
<@headerline name=titles.subtask.SUBMITDATE value=addval.df.parse(item.getSubmitdate())/>
</#if>
<#if (filter.UPDATEDATE && item.getUpdateDate()?exists)>
<@headerline name=titles.subtask.UPDATEDATE value=addval.df.parse(item.getUpdateDate())/>
</#if>
<#if (filter.CLOSEDATE && item.getClosedate()?exists)>
<@headerline name=titles.subtask.CLOSEDATE value=addval.df.parse(item.getClosedate())/>
</#if>
<#if filter.BUDGET>
<@headerline name=titles.subtask.BUDGET value=item.getBudgetFmt(titles.FORMAT)/>
</#if>
<#if filter.ABUDGET>
<@headerline name=titles.subtask.ABUDGET value=item.getActualBudgetFmt("text")/>
</#if>
<#if filter.CHILDCOUNT>
<@headerline name=titles.subtask.SUBTASKS value=item.getTotalChildrenCount()/>
</#if>
<#if filter.MESSAGECOUNT>
<@headerline name=titles.subtask.MESSAGES value=item.getMessageCount()/>
</#if>
<#if (filter.PRIORITY && item.getPriority()?exists)>
<@headerline name=titles.subtask.PRIORITY value=item.getPriority().getName()/>
</#if>
<#if ((titles.subtask.udfCaption?exists) && subudf[item.getId()]?exists)>
<#assign m = 0/>
<#list titles.subtask.udfCaption as y>
<#if (subudf[item.getId()]?size -m > 0)>
<@headerline name=y value=subudf[item.getId()][m]/>
</#if>
<#assign m = m +1/>
</#list>
</#if>
<@headerline name=titles.subtask.NAME value=sublinktext[item.getId()]/>
<#if filter.DESCRIPTION>
<@line1/>
<@decode str=item.getDescription()?default("")/></#if>
<#if filter.MESSAGEVIEW>
<#if submsg[item.getId()]?exists>
<@line2/>
${titles.messages.MESSAGES}
<#list submsg[item.getId()] as m>
<@message msg=m/>
</#list>
</#if></#if>
</#macro>
<#-- *********************************-->
<#macro message msg>
<@line2/>
${msg.getSubmitter().getTextName()} - ${addval.df.parse(msg.getTime())}
<@line2/>
<#if titles.messages.PRIORITY?exists>${titles.messages.PRIORITY}: <#if msg.getPriority()?exists>${msg.getPriority().getName()}</#if>        ${titles.messages.DEADLINE}: <#if msg.getDeadline()?exists>${addval.df.parse(msg.getDeadline())}</#if>       ${titles.messages.BUDGET}: <#if msg.getBudget()?exists>${addval.hf.format(msg.getBudget().floatValue(), titles.FORMAT)}</#if></#if>
${titles.messages.MESSAGETYPE}: ${msg.getMstatus().getName()}      ${titles.messages.HANDLER}: <#if msg.getHandler()?exists>${msg.getHandler().getTextName()}</#if>
${titles.messages.RESOLUTION}: <#if msg.getResolution()?exists>${msg.getResolution().getName()}</#if>      ${titles.messages.HOURS}: <#if msg.getHrs()?exists>${addval.hf.format(msg.getHrs().floatValue(), titles.FORMAT)}</#if>
<@line2/>
<#if msg.getDescription()?exists><@decode str=msg.getDescription()/></#if>
<@line2/>
</#macro>
<#-- *********************************-->
<#macro subtasks>
<#list items as i>
<@line1/>
<@subtasksheader item=i/>
</#list>
</#macro>
<#-- end macros begin message text-->
${addval.filterInfo}
<@line1/>
<@decode str=task.getName()/>
${addval.tasklink}
<@line1/>
<@headerline name=titles.TASKNUMBER value=task.getTaskNumber()/>
<@headerline name=titles.PATH value=addval.path_text/>
<#if (task.getShortname()?exists)>
<@headerline name=titles.ALIAS value=task.getShortname()/>
</#if>
<#if (task.getBudget()?exists)>
<@headerline name=titles.BUDGET value=task.getBudgetFmt(titles.FORMAT)/>
</#if>
<#if (task.getActualBudget()?exists)>
<@headerline name=titles.ABUDGET value=task.getActualBudgetFmt("text")/>
</#if>
<#if (task.getSubmitdate()?exists)>
<@headerline name=titles.SUBMITDATE value=addval.df.parse(task.getSubmitdate())/>
</#if>
<#if (task.getUpdateDate()?exists)>
<@headerline name=titles.UPDATEDATE value=addval.df.parse(task.getUpdateDate())/>
</#if>
<#if (task.getClosedate()?exists)>
<@headerline name=titles.CLOSEDATE value=addval.df.parse(task.getClosedate())/>
</#if>
<#if (task.getDeadline()?exists)>
<@headerline name=titles.DEADLINE value=addval.df.parse(task.getDeadline())/>
</#if>
<#if (task.getPriority()?exists)>
<@headerline name=titles.PRIORITY value=task.getPriority().getName()/>
</#if>
<#if (task.getCategory()?exists)>
<@headerline name=titles.CATEGORY value=task.getCategory().getName()/>
</#if>
<#if (task.getStatus()?exists) >
<@headerline name=titles.STATUS value=task.getStatus().getName()/>
</#if>
<#if (task.getResolution()?exists)>
<@headerline name=titles.RESOLUTION value=task.getResolution().getName()/>
</#if>
<#if (task.getSubmitter()?exists)>
<@headerline name=titles.SUBMITTER value=task.getSubmitter().getTextName()/>
</#if>
<#if (task.getHandler()?exists)>
<@headerline name=titles.HANDLER value=task.getHandler().getTextName()/>
</#if>
<#if task.getWikiParsedDescription()?exists>
<@line1/>
<@getSpace str1=titles.DESCRIPTION str2=""/>
<@decode str=task.getDescription()?default("")/>
<@line1/>
</#if>
<#if (udfs?exists)>
<#list udfs as y>
<@headerline name=y.caption value=y.value/>
</#list>
</#if>
<@line1/>
<#-- subtasks begin -->
<#if items?exists>
<@subtasks/>
</#if>
<#-- messages begin -->
<#if msglist?exists>
<@line2/>
${titles.messages.MESSAGES}
<#list msglist as m>
<@message msg=m/>
</#list>
<@line2/>
</#if>

