function disValid(el, title) {
    el.style.backgroundColor="#FFA090";
    el.title += title;
    valid = false;
}

var valid = true;

function validate(Sender) {
    valid = true;
    if (!self.dontValid)
    for (var i = 0; i < Sender.elements.length; i++) {
        var el = Sender.elements[i];
        var type = el.type;
        var alt = el.getAttribute("alt");
        var value = el.value;
        //alert("name='" + el.name + "'; type='" + type + "'; alt='" + alt + "'; value='" + value + "'");
        if (!el.isDisabled && type != "checkbox" && type != "radio" && type != "submit" && type != "image" && type != "hidden") {
            el.style.backgroundColor="";
            el.title = "";
            if (alt != null && alt.indexOf("email") > -1) {
                if (value.indexOf('@') == -1)
                    disValid(el, "E-mail incorrect. ");
            }
            if (alt != null && value != null && alt.indexOf("float") > -1 && value.length > 0) {
                var re1 = new RegExp("[^\\d\\-\\" + decSep + "]");
                var re2 = new RegExp("-?\\d*\\" + decSep + "?\\d*");
                if (value.search(re1) > -1 || value.match(re2) != value)
                    disValid(el, "Must be a float number. ");
            }
            if (alt != null && value != null && alt.indexOf("integer") > -1 && value.length > 0) {
                var re1 = new RegExp("[^\\d\\-]");
                var re2 = new RegExp("-?\\d*");
                if (value.search(re1) > -1 || value.match(re2) != value)
                    disValid(el, "Must be a integer number. ");
            }
            if (alt != null && value != null && alt.indexOf("natural") > -1 && value.length > 0) {
                var re1 = new RegExp("\\D");
                if (value.search(re1) > -1)
                    disValid(el, "Must be a natural number. ");
            }
            if (alt != null && value != null && alt.indexOf("color") > -1 && value.length > 0) {
                if (!colorValid(value))
                    disValid(el, "Must be a color value in format \"#dddddd\". ");
            }
            if (alt != null && value != null && alt.indexOf("date") > -1 && value.length > 0) {
                var pattern = "";
                var mStart =  alt.indexOf('date(');
                if (mStart > -1) {
                    var mFinish = alt.indexOf(')', mStart + 1);
                    if (mFinish == -1) {
                        pattern = alt.substring(mStart + 5, alt.length);
                    } else {
                        pattern = alt.substring(mStart + 5, mFinish);
                    }
                }
                if (toDate(value, pattern) == null) // function toDate defined in calendar.js
                    disValid(el, "Must be a date in format '" + pattern + "'. ");
            }

            var minLength = null;
            if (alt != null) {
                var mStart = alt.indexOf('>');
                if (mStart > -1) {
                    var mFinish = alt.indexOf(',', mStart + 1);
                    if (mFinish == -1) {
                        minLength = parseInt(alt.substring(mStart + 1, alt.length), 10);
                    } else {
                        minLength = parseInt(alt.substring(mStart + 1, mFinish), 10);
                    }
                }
            }

            var maxLength = el.getAttribute("maxlength");
            if ((maxLength != null && maxLength < value.length) || (minLength != null && minLength >= value.length))
                disValid(el, "This field has length of " + value.length + " chars, but it's maximum length is " + maxLength + " and minimum length is " + minLength + ". ");

        }
    }
    if (!valid) {
        alert("Please correct highlighted field data.");
        return false;
    } else {
        return allow(Sender);
    }
}


// color falue validaiting
function colorValid(val) {
    re = new RegExp("#[abcdef\\d]{6}", "i");
    if (val.match(re) == val)
        return true;
    else
        return false;
}


// "CLOSE_MSG" block begin
var WIN_CLOSE_MSG = "";

var isSubmitting = false;

function allow(sender) {
    isSubmitting = true;
    sender.setAttribute("onSubmit", "return false;")
    return true;
}

var root = window.addEventListener || window.attachEvent ? window : document.addEventListener ? document : null;

if (root) {
     if (root.addEventListener)
        root.addEventListener("load", init, false);
     else if (root.attachEvent)
        root.attachEvent("onload", init);
}

function init() {
     if (typeof(root.onbeforeunload) != "undefined")
        root.onbeforeunload = ts_onunload;
     else
        return;
}

function ts_onunload() {
    if (isSubmitting == true) {
        ignore_modified();
        return;
    }
    for (var j=0;j < document.forms.length; j++) {
        if (document.forms[j].alt=='checkunload') {
            if(isDirty(document.forms[j]))
                return WIN_CLOSE_MSG;
        }
    }
    return;
}

function ignore_modified() {
     if (typeof(root.onbeforeunload) != "undefined")
        root.onbeforeunload = null;
}

var is_new = false;

function isDirty(form) {
    if (is_new) {
        return true;
    }
    if (form.elements)
        for (var i = 0; i < form.elements.length; i++) {
            var control = form.elements[i];
            if (control.type == 'submit' || control.type == 'hidden' || control.type == 'button' || control.type == 'select-multiple' || control.disabled || control.getAttribute("ignoreModified") != undefined)
                continue;
            if (getControlValue(control) != getControlDefaultValue(control))
                return true;
        }
    return false;
}

function getControlValue(control) {
    if (control.type == 'checkbox') {
        return control.checked;
    } else if (control.type == 'select-one') {
        for (var i=0; i < control.options.length; i++)
            if (control.options[i].selected)
                return control.options[i].value;
        return null;
    } else {
        return control.value;
    }
}

function getControlDefaultValue(control) {
    if (control.type == 'checkbox') {
        return control.defaultChecked;
    } else if (control.type == 'select-multiple') {
        return null;
    } else if (control.type == 'select-one') {
        for(var i=0; i<control.options.length; i++)
          if (control.options[i].defaultSelected)
              return control.options[i].value;
        if (control.options[0])
            return control.options[0].value;
        else
            return null;
    } else {
        return control.defaultValue;
    }
}
// "CLOSE_MSG" block end